
\ProvidesPackage{beamerouterthemePTB}[2022/08/07 v2.1.1 PTB outer theme (RN)]%

\mode<presentation>

\setbeamertemplate{navigation symbols}{}%

\setbeamertemplate{frametitle}{%
  \ifbeamercolorempty[bg]{frametitle}{}{\nointerlineskip}%
  \begin{beamercolorbox}[left,wd=\textwidth,ht=45.8\vUnit,dp=19.6\vUnit,%
    leftskip=0pt,rightskip=0pt]{frametitle}
    \usebeamerfont{frametitle}%
    \strut\ifbeamer@plainframe\else\PTB@frametitle\fi\strut\\
    \vskip-54\vUnit
  \end{beamercolorbox}%
}
\setbeamertemplate{frametitle continuation}{%
  (\insertcontinuationcount)%
}

\setbeamertemplate{headline}{%
  \if@PTB@finalpage% special final page
    %
  \else
    \ifnum \insertpagenumber = 1 % first page (title page)
      \begin{picture}(0,0)(-\beamer@leftmargin,\paperheight)%
        \unitlength=\vUnit
        \put(0,805){%
          \begin{minipage}[b]{\PTB@textwidth}%
            \color{PTBblue}%
            \includegraphics[height=130\vUnit]{PTB-logo-A.mps}%
            \hspace{3\unitlength}
            \normalcolor\normalfont
            \begin{varwidth}[b]{\PTB@textwidth}
              \fontsize{30.53\vUnit}{36.64\vUnit}\selectfont
              \bfseries
              Physikalisch-Technische Bundesanstalt\\
              Braunschweig und Berlin \\
              \mdseries\translate{NMI}
            \end{varwidth}
            \IfIsEmpty{\PTB@orgLogo}{}{%
               \hfill\includegraphics[height=130\vUnit]{\PTB@orgLogo}%
            }\\[3\vUnit]%
            \includegraphics[width=\linewidth,height=20\vUnit]%
              {PTB-dividing-bar.png}
          \end{minipage}
        }%           
      \end{picture}
    \else% normal page
      \leavevmode
      \hskip\beamer@leftmargin
      \raisebox{-40\vUnit}[0pt][0pt]{%    
        \begin{minipage}[t]{\PTB@textwidth}%
          \rule{\linewidth}{0pt}\\
          \color{PTBblue}% 
          \PTB@header@components\\[3\vUnit]% normal or reverse
          \includegraphics[width=\linewidth,height=20\vUnit]%
            {PTB-dividing-bar.png}%
        \end{minipage}}
      \vskip0pt %
    \fi
  \fi
}

\newcommand*\PTB@numbers{}
\newcommand*\PTB@prepare@numbersX{%
  \@tempcnta=1 %
  \@tempcntb=\numexpr\inserttotalframenumber + 1%
  \let\PTB@tempa=\@empty
  \let\PTB@numbers=\@empty
  \loop\ifnum\@tempcnta<\@tempcntb
    \protected@edef\PTB@numbers{\PTB@numbers\PTB@tempa\noexpand\PTB@circled{\the\@tempcnta}}%
    \def\PTB@tempa{\hfill}%
    \advance\@tempcnta\@ne %
  \repeat
}
\newcommand*\PTB@prepare@numbers{%
  \@tempcnta=1 %
  \@tempcntb=\numexpr\inserttotalframenumber + 1%
  \let\PTB@tempa=\@empty
  \let\PTB@numbers=\@empty
  \loop\ifnum\@tempcnta<\@tempcntb
    \edef\x{%
      \noexpand\g@addto@macro\noexpand\PTB@numbers{\PTB@tempa\noexpand\PTB@format@number{\the\@tempcnta}}%
    }
    \x
    \def\PTB@tempa{\hfill}%
    \advance\@tempcnta\@ne %
  \repeat
}

\newcommand*\PTB@quadrat@white[1]{\tikz[baseline=(char.base)]{%
  \node[shape=rectangle,fill=white,minimum width=1.2em,minimum height=1.2em,%
  inner sep=0pt,line width=0pt] (char) {#1};}}

\newcommand*\PTB@format@number[1]{%
  % format page number and create link
  \hyperlink{frame::#1}{\PTB@quadrat@white{#1}}
}

\setbeamertemplate{footline}{%
  \if@PTB@finalpage% special final page
    \global\@PTB@finalpagefalse% right place here? 
    \begin{picture}(0,0)(-\beamer@leftmargin,0)%
      \unitlength=\vUnit
      \put(0,61){%
        \color{PTBblue}% 
        \includegraphics[width=290\vUnit]{PTB-logo-C.mps}%
        \hspace{14\unitlength}%
        \begin{varwidth}[b]{\PTB@textwidth}%
          \normalcolor\bfseries
          \fontsize{37\vUnit}{44\vUnit}\selectfont 
          Physikalisch-Technische Bundesanstalt \\
          \Ifstr{\PTB@location}{BS}{%
            Braunschweig \\
            \mdseries 
            Bundesallee~100 \\
            38116~Braunschweig              
          }{%
            Berlin \\
            \mdseries 
            Abbestraße~2--12 \\
            10587~Berlin              
          }%
          \\[1.3ex]%
          \begin{tabular}{@{}l@{~}l@{}}%
          \multicolumn{2}{@{}l@{}}{\IfIsEmpty{\PTB@contactName}%
            {Max Mustermann}{\PTB@contactName}} \\
          \translate{phone}: & 
          \IfIsEmpty{\PTB@contactPhone}{0531 592-\#\#\#\#}{\PTB@contactPhone} \\
          \translate{email}: &
          \IfIsEmpty{\PTB@contactEMail}{Max.Mustermann@ptb.de}%
            {\PTB@contactEMail} \\  
          \end{tabular} \\
          \href{https://www.ptb.de}{www.ptb.de} \\[1.8ex]
        \end{varwidth}%
      }
    \end{picture}  
  \else 
    \ifnum \insertpagenumber = 1 % first page (title page)
      \begin{picture}(0,0)(-\beamer@leftmargin,0)%
        \unitlength=\vUnit
        \color{PTBblue}%
        \put(0,52){%
          \begin{minipage}[b]{\PTB@textwidth}%
            \mbox{}\hfill
            \includegraphics[width=281\vUnit]{PTB-logo-B.mps}\\[8\vUnit]%
            \includegraphics[width=\linewidth,height=20\vUnit]%
              {PTB-dividing-bar.png}
          \end{minipage}      
        }      
      \end{picture}  
    \else% normal page
      \leavevmode
      \hskip\beamer@leftmargin
      \raisebox{60\vUnit}[0pt][0pt]{\begin{minipage}[t]{\PTB@textwidth}
        \if@PTB@progressbar
          \ifnum\inserttotalframenumber>1 %
            \PTB@prepare@numbers% --> \PTB@numbers: 1 \hfill 2 ... \hfill last"
          \fi
          \dimen0=\PTB@textwidth
          \multiply\dimen0 by \numexpr\insertframenumber - 1 %
          \divide\dimen0 by \numexpr\inserttotalframenumber - 1 %
          \edef\PTB@progressbarwidth{\the\dimen0}
          \vskip-8\vUnit
          \settowidth{\PTB@tempdima}{\,\inserttotalframenumber\,}%
          \begin{beamercolorbox}[wd=\PTB@textwidth,ht=20\vUnit,dp=0\vUnit]%
            {progress bar numbers}%
            \makebox[0pt][l]{%
              \raisebox{5\vUnit}[0pt][0pt]{%
                \begin{beamercolorbox}[wd=\PTB@progressbarwidth,ht=6\vUnit,%
                  dp=0\vUnit]{progress bar progress}%
                \end{beamercolorbox}%
              }%
            }%
            \usebeamerfont{progress bar numbers}\PTB@numbers%
          \end{beamercolorbox}\mbox{}\\[-16\vUnit]         
        \else
          \includegraphics[width=\textwidth,height=20\vUnit]%
            {PTB-dividing-bar.png}\\[-10\vUnit]
          \bfseries\normalcolor
          \fontsize{18.91\vUnit}{22.69\vUnit}\selectfont
          Physikalisch-Technische Bundesanstalt\,~\raisebox{.15ex}[0pt][0pt]%
            {\textcolor{PTBblue}{\rule{1ex}{1ex}}}\,~Braunschweig und Berlin \hfill 
          \mdseries \translate{NMI} \\[10\vUnit]
        \fi 
        \color{PTBgray}
        \PTB@footer@components% normal or reverse
      \end{minipage}}
      \vskip0pt %
    \fi
  \fi
}

\newcommand*\PTB@create@frame@target[1]{%
  % create link target if not already present
  \@ifundefined{PTB@frame::#1}{%
    \hypertarget{frame::#1}{}%
    % notice that the link target exists
    \global\@namedef{PTB@frame::#1}{ptbbeamer}%
  }{}%
}

\AddToHook{shipout/foreground}{%
  \ifnum\c@framenumber>0 %
    \PTB@create@frame@target{\the\c@framenumber}%
  \fi
}

\mode<all>

\endinput
%%
%% End of file `beamerouterthemePTB.sty'.
